package logic;



public class BooleanChoice implements IBooleanAlgo {

  public static final BooleanChoice Singleton = new BooleanChoice();

  

  private BooleanChoice() {}

  

  public Object trueCase(IBoolean host, Object...inp) {

    return inp[0];

  }

  public Object falseCase(IBoolean host, Object...inp) {

    return inp[1];

  }

}

